Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - gocryptfs

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: gocryptfs 1.2-1

Git Clone URL: https://aur-dev.archlinux.org/gocryptfs.git (read-only)
Package Base: gocryptfs
Description: Encrypted overlay filesystem written in Go.
Upstream URL: https://github.com/rfjakob/gocryptfs
Keywords: encryption filesystem fuse go
Licenses: MIT
Submitter: petres
Maintainer: petres
Last Packager: petres
Votes: 2
Popularity: 0.096423
First Submitted: 2016-05-08 22:41
Last Updated: 2016-12-12 11:12

Latest Comments

fbis251 commented on 2017-01-30 22:42

Hello,

First thank you for maintaining this package.

I have just built, installed and run gocryptfs on a raspberry pi. I can verify that the 'armv7h' architecture works. Additionally you should add 'fuse' as a dependency which provides /bin/fusermount which gocryptfs needs to work

Thanks!

petres commented on 2016-08-09 21:36

The gocryptfs author fixed it in https://github.com/rfjakob/gocryptfs/commit/af5441dcd9033e81da43ab77887a7b5aac693ab6

You can install it from there! I will update the package as soon as the author publishes the next release. In the next package I will also add 'armv7h'.

kseistrup commented on 2016-08-06 13:48

Adding 'armv7h' didn't go well:

==> Starting build()...
# github.com/rfjakob/gocryptfs/internal/fusefrontend
internal/fusefrontend/file.go:400: cannot use a.Unix() (type int64) as type int32 in assignment
internal/fusefrontend/file.go:406: cannot use m.Unix() (type int64) as type int32 in assignment
==> ERROR: A failure occurred in build().
Aborting...

kseistrup commented on 2016-08-06 13:26

Will it compile on ARM (I'm aware that 'armv7h' is not mentioned in the PKGBUILD)?

mhogomchungu commented on 2016-07-31 23:42

SiriKali[1] can create and unlock gocryptfs volumes.

[1] https://mhogomchungu.github.io/sirikali/

petres commented on 2016-07-25 12:47

Corrected, thanks!

bebehei commented on 2016-07-24 19:40

Hi petres,

found a small mistake: your depends-array should also be an array and not a single element array separated with spaces:

Bad: depends=('gcc-libs>=5.3.0-3 openssl')
good: depends=('gcc-libs>=5.3.0-3' 'openssl')

Cheers,
Bene

petres commented on 2016-06-24 20:03

Sorry for that, updated! Should work now

Fallback commented on 2016-06-24 18:54

==> Validating source files with md5sums...
gocryptfs ... Skipped
gocryptfs.1 ... FAILED
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build gocryptfs.
==> Restart building gocryptfs ? [y/N]